Selection methods/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "Третий щелчок расширяет выделение на объект-контейнер (PartDesign Body, Std Part и др...")
(Created page with "Выбор перетаскиванием мышью для выбора нескольких объектов или подэлементов (вершин или гране...")
Line 27: Line 27:
===Команды выделения===
===Команды выделения===


Mouse drag selection to select multiple objects or sub-elements (vertices or faces) is available using [[Std_SelectAll|Std SelectAll]], [[Std_BoxSelection|Std BoxSelection]], [[Part_BoxSelection|Part BoxSelection]], and [[Std_BoxElementSelection|Std BoxElementSelection]].
Выбор перетаскиванием мышью для выбора нескольких объектов или подэлементов (вершин или граней) доступен с использованием [[Std_SelectAll/ru|Std SelectAll]], [[Std_BoxSelection/ru|Std BoxSelection]], [[Part_BoxSelection/ru|Part BoxSelection]] и [[Std_BoxElementSelection/ru|Std BoxElementSelection]].


The Box selection modes revert to the default [[Std_SelectAll|Std SelectAll]], after any selection. (What does this mean??)
The Box selection modes revert to the default [[Std_SelectAll|Std SelectAll]], after any selection. (What does this mean??)

Revision as of 08:45, 18 October 2020

Обзор

Методы выбора в FreeCAD позволяют выбирать объекты в интерфейсе FreeCAD: таких как 3D view, древе проекта, вид выбора и других диалогах. Некоторые методы выбора зависят от конкретной рабочей среды и задокументированы в соответствующей документации по рабочей среде.

Трёхмерный вид

В трёхмерном виде есть различные способы выбора объектов с помощью указателя мыши.

Простое выделение

Простой выбор с помощью мыши (по умолчанию щелчок левой кнопкой мыши) и предварительный выбор (наведение курсора) описаны на странице навигация с помощью мыши.

Повторные клики

Первый щелчок выбирает подэлемент (вершину, кромку или грань) объекта под курсором мыши. Второй щелчок выделяет весь объект. introduced in version 0.18

Третий щелчок расширяет выделение на объект-контейнер (PartDesign Body, Std Part и другие). Дальнейшие щелчки расширяют выбор вверх по цепочке контейнеров. introduced in version 0.19

Команды выделения

Выбор перетаскиванием мышью для выбора нескольких объектов или подэлементов (вершин или граней) доступен с использованием Std SelectAll, Std BoxSelection, Part BoxSelection и Std BoxElementSelection.

The Box selection modes revert to the default Std SelectAll, after any selection. (What does this mean??)

Панель выделения

The selection view shows the names of the objects being selected, including their full name within an object, for example, Unnamed#Body.Box001.Face17.

It also allows to perform some actions like Std ViewFitSelection, and sending the object to the Python console.

Экспорт объектов

This should be in the selection view page.

Select any complex object, for example, a PartDesign Body or Std Part, then in the selection view select again the object, and then press Ctrl + C in the keyboard to open the Object selection dialog. This allows copying the selected object together with all or only some of that object's dependency objects. For example, for a Std Part the possible objects to select include the Std Part itself, but also its Origin, its three base axes (XYZ), and its three base planes (XY, YZ, XZ).

After pressing OK, the selected objects are copied into memory, and then can be pasted in the document to duplicate these objects only.

Object selection dialog that is launched from the selection view.

Древо проекта

In the tree view items can be selected, or deselected, one at a time, by holding the Ctrl key and clicking with the mouse.

A range of items can be selected by clicking on the first item, holding Shift, and clicking on the last item.

Selecting a single item will also show its properties in the property editor.

Double clicking will open any associated task panel containing actions. Make sure to close this task panel before executing another command or switching to any other workbench.

More methods are available by opening the context menu (right-click), depending on the object selected or the active workbench; see the information in tree view.

Сценарии

Selecting objects is inherently a graphical task and therefore it is only available when the graphical user interface is loaded.

These commands can be used in macros or from the Python console.

import FreeCADGui as Gui

Gui.Selection.addSelection
Gui.Selection.addSelectionGate
Gui.Selection.Filter

The command addSelectionGate restricts the user from selecting objects not specified in the selection string. A symbol appears when the pointer is over an item not in the specified group.

Gui.Selection.addSelectionGate("SELECT Part::Feature SUBELEMENT Edge")

See the Source documentation and Std PythonHelp for more help on using these tools.